headless lms

The organization's team

GET /api/organizations/people. The organization's team. Headless LMS People API reference.

GET
/api/organizations/people

Requires people:read. Everyone with an org role other than Member or a role on a content item, invited people included.

Query Parameters

page?integer
Range1 <= value <= 9007199254740991
Default1
pageSize?integer
Range1 <= value <= 100
Default20
search?string
Lengthlength <= 200
sort?string
roleKey?string
status?string

Value in

  • "active"
  • "invited"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/organizations/people"
{  "rows": [    {      "id": "string",      "firstName": "string",      "lastName": "string",      "email": "string",      "image": "string",      "orgRole": {        "key": "string",        "name": "string"      },      "isOwner": true,      "items": [        {          "contentId": "string",          "contentType": "course",          "roleKey": "string",          "roleName": "string"        }      ],      "status": "active",      "joinedAt": "string",      "invitedAt": "string"    }  ],  "total": -9007199254740991,  "page": -9007199254740991,  "pageSize": -9007199254740991}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}